List contracts

Search and filter contract objects with pagination support.

Available fields for criteria and order:

  • id
  • account
  • alt_key
  • channel
  • completed
  • created
  • designation
  • division
  • frequency
  • gateway
  • initiative
  • legal_entity
  • next_charge
  • next_payment
  • nonce
  • occurrences
  • outstanding_amount
  • payment_method
  • retry_complete
  • retry_count
  • scheduler
  • status
  • updated
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

Search criteria for filtering contracts. Available fields:

  • id
  • account
  • alt_key
  • channel
  • completed
  • created
  • designation
  • division
  • frequency
  • gateway
  • initiative
  • legal_entity
  • next_charge
  • next_payment
  • nonce
  • occurrences
  • outstanding_amount
  • payment_method
  • payment_method_status
  • payment_method_expires
  • retry_complete (Y/N)
  • retry_count
  • scheduler (Y/N)
  • status
  • updated

Examples:

  • status=ACTIVE;FAILING
  • account=acc_12345_67890
  • scheduler=Y
  • next_payment<>2024-01-01;2024-12-31
string

Sort order for results. Supports any field that criteria supports. Defaults to created;desc if not specified. Append ;desc for descending order. Separate multiple order fields with commas.

Examples:

  • order=next_payment
  • order=status,created;desc
string

Fields to expand into full objects. Separate multiple fields with commas.

Available fields:

  • account (account object)
  • payment_method (payment method object)
  • gateway (gateway object)
  • legal_entity (legal entity object)
  • initiative (initiative object)
  • designation (designation object)
  • channel (channel object)
  • last_transaction (transaction object)
  • last_charge (charge object)
  • created_session (session object)
  • updated_session (session object)

Example: expand=account,payment_method,last_transaction

integer

Maximum records to return

integer

Offset from first records

Responses

Language
Credentials
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json